config/routes.rb
Rails.application.routes.draw do
  devise_for :users, :controllers => { :omniauth_callbacks => "users/omniauth_callbacks" }
  root to: 'pages#dashboard'
  namespace :cv do
    root to: 'pages#dashboard'
    resources :profiles
    resources :work_experiences
    resources :educations
    resources :certificates
    resources :skills
  end
  namespace :inspiration do
    root to: 'pages#dashboard'
    resources :technologies
    resources :tools
  end

  namespace :blog do
    root to: 'pages#dashboard'
    resources :articles
  end

end

app/models/profile.rb
class Profile < ActiveRecord::Base
  belongs_to :user
end

app/controllers/cv/certificates_controller.rb
class Cv::CertificatesController < ApplicationController
  before_action :set_title

  def index

  end

  private
  def set_title
    @title = 'Certificaten'
  end
end

app/controllers/cv/educations_controller.rb
class Cv::EducationsController < ApplicationController
  before_action :set_title

  def index

  end

  private
  def set_title
    @title = 'Opleidingen'
  end
end

app/controllers/cv/pages_controller.rb
class Cv::PagesController < ApplicationController
  before_action :set_title

  def dashboard
  end

  private
  def set_title
    @title = 'Curriculum Vitae'
  end
end

app/controllers/cv/profiles_controller.rb
class Cv::ProfilesController < ApplicationController
  before_action :set_title

  def index
  end

  def show
    @profile = current_user.profile
  end

  def new
    @profile = Profile.new
  end

  def create
    @profile = Profile.new(profile_params)
    @profile.user_id = current_user.id
    if @profile.save
      redirect_to cv_profiles_path
    else
      render :new
    end
  end

  def edit
  end

  def update
  end

  def destroy
  end

  private

  def set_title
    @title = 'Mijn Profiel'
  end

  def profile_params
    params.require(:profile).permit(:firstname, :lastname, :email,  :date_of_birth, :mobile)
  end

end

app/controllers/cv/skills_controller.rb
class Cv::SkillsController < ApplicationController
  before_action :set_title

  def index

  end

  private
  def set_title
    @title = 'Skills'
  end
end

app/controllers/cv/work_experiences_controller.rb
class Cv::WorkExperiencesController < ApplicationController
  before_action :set_title
  helper_method :sort_column, :sort_direction

  def index
    @work_experiences = WorkExperience.all
  end

  def show
    @work_experience = WorkExperience.find(params[:id])
  end

  def new
    @work_experience = WorkExperience.new
  end

  def create
    @work_experience = WorkExperience.new(work_experience_params)
    @work_experience.user_id = current_user.id
    if @work_experience.save
      redirect_to cv_work_experiences_path
    else
      render :new
    end
  end

  def edit
  end

  def update
  end

  def destroy
  end

  private

  def work_experience_params
    params.require(:work_experience).permit(:job_title, :start_date, :end_date, :description)
  end

  def set_title
    @title = 'Mijn Werkervaringen'
  end

  def sortable_columns
    ["name", "price"]
  end

  def sort_column
    sortable_columns.include?(params[:column]) ? params[:column] : "name"
  end

  def sort_direction
    %w[asc desc].include?(params[:direction]) ? params[:direction] : "asc"
  end

end

app/views/cv/profiles/_form.html.haml
= link_to t('actions.back'), :back, class: 'form-control btn btn-primary col-1'
%hr

= form_with scope:  :profile, url: cv_profiles_path do |f|
  = f.label :firstname
  = f.text_field :firstname, class: 'form-control col-12 col-md-6'

  = f.label :lastname
  = f.text_field :lastname, class: 'form-control col-12 col-md-6'

  = f.label :email
  = f.text_field :email, class: 'form-control col-12 col-md-6'

  = f.label :date_of_birth
  = f.text_field :date_of_birth, data: { provide: 'datepicker' },  class: 'datepicker form-control col-12 col-md-6'

  = f.label :mobile
  = f.text_field :mobile, class: 'form-control col-12 col-md-6'

  = f.submit t('actions.submit'), class: 'form-control btn btn-primary col-2'

app/views/cv/profiles/index.html.haml
= render "shared/cv_nav.html.haml"

app/views/cv/profiles/new.html.haml
.row
  .col-12
    = render "form"

app/views/cv/profiles/show.html.haml
= link_to t('actions.new'), new_cv_profile_path, class: 'btn success-color create-btn'
= link_to t('actions.edit'), edit_cv_profile_path, class: 'btn info-color-dark edit-btn'
= render "shared/cv_nav.html.haml"
%br

.row
  .col-6
    = image_tag current_user.image, class: 'profile-image'
.row
  .col-12.col-md-4
    %table.table
      %tbody
        - if @profile.present?
          %tr
            %th Voornaam
            %td= @profile.firstname
          %tr
            %th Achternaam
            %td= @profile.lastname
          %tr
            %th emailadres
            %td= @profile.email
          %tr
            %th Geboortedatum
            %td= l(@profile.date_of_birth, fomat: :date)
          %tr
            %th Mobiel
            %td= @profile.mobile